export class ResponseHelper {
    /**
     * Creates a standardized error response.
     *
     * @param {string} code - The error code.
     * @param {string} message - The error message.
     * @returns {TypeResponse<TypeObject>} - A standardized error response.
     */
    static createErrorResponse(code, message) {
        return {
            success: false,
            messages: [{ code, text: message }]
        };
    }
}
